extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Card React Component | Framework7 React Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Card React Component
      script(src="/js/motion/card.js")
      f7-motion-card(motion)

    p Cards, along with List View, is a one more great way to contain and organize your information. Cards contains unique related data, for example, a photo, text, and link all about a single subject. Cards are typically an entry point to more complex and detailed information.
    p Card React component represents <a href="../docs/cards.html">Cards</a> component.
    h2 Card Components
    p There are following components included:
    ul
      li `Card`
      li `CardHeader`
      li `CardContent`
      li `CardFooter`
    h2 Card Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;Card&gt; properties
        tr
          td title
          td string
          td
          td Card header content
        tr
          td content
          td string
          td
          td Card content
        tr
          td footer
          td string
          td
          td Card footer content
        tr
          td padding
          td boolean
          td true
          td Adds additional inner padding on card content
        tr
          td outline
          td boolean
          td false
          td Makes card outline - with border
        tr
          td outlineIos
          td boolean
          td false
          td Makes card outline in iOS theme
        tr
          td outlineMd
          td boolean
          td false
          td Makes card outline in MD theme
        tr
          td raised
          td boolean
          td false
          td Makes card raised - with shadow
        tr
          td headerDivider
          td boolean
          td false
          td Adds divider (border) for card header
        tr
          td footerDivider
          td boolean
          td false
          td Adds divider (border) for card footer
        tr
          td expandable
          td boolean
          td false
          td Enables expandable card
        tr
          td expandableAnimateWidth
          td boolean
          td false
          td Enables card content width also animatable and responsive, but can affect performance
        tr
          td expandableOpened
          td boolean
          td false
          td Boolean property indicating whether the expandable card opened or not
        tr
          td animate
          td boolean
          td true
          td Specifies to open expandable card with animation or not
        tr
          td hideNavbarOnOpen
          td boolean
          td
          td Will hide Navbar on expandable card open. By default inherits same <a href="/docs/cards.html#card-app-parameters" target="_blank">app card parameter</a>.
        tr
          td hideToolbarOnOpen
          td boolean
          td
          td Will hide Toolbar on expandable card open. By default inherits same <a href="/docs/cards.html#card-app-parameters" target="_blank">app card parameter</a>.
        tr
          td swipeToClose
          td boolean
          td
          td Allows to close expandable card with swipe. By default inherits same <a href="/docs/cards.html#card-app-parameters" target="_blank">app card parameter</a>.
        tr
          td backdrop
          td boolean
          td
          td Enables expandable card backdrop layer. By default inherits same <a href="/docs/cards.html#card-app-parameters" target="_blank">app card parameter</a>.
        tr
          td backdropEl
          td string
          td
          td Allows to specify custom expandable card backdrop element. This should be a CSS selector of backdrop element, e.g. `.card-backdrop.custom-backdrop`
        tr
          td closeByBackdropClick
          td boolean
          td
          td When enabled, expandable card will be closed on its backdrop click. By default inherits same <a href="/docs/cards.html#card-app-parameters" target="_blank">app card parameter</a>.
        tr
          th(colspan="4") &lt;CardContent&gt; properties
        tr
          td padding
          td boolean
          td true
          td Adds additional inner padding

    h2 Card Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;Card&gt; events
        tr
          td cardBeforeOpen
          td Event will be triggered right before expandable card starts its opening animation. `event.detail.prevent` contains function that will prevent card from opening when called
        tr
          td cardOpen
          td Event will be triggered when expandable card starts its opening animation
        tr
          td cardOpened
          td Event will be triggered after expandable card completes its opening animation
        tr
          td cardClose
          td Event will be triggered when expandable card starts its closing animation
        tr
          td cardClosed
          td Event will be triggered after expandable card completes its closing animation

    h2 Card Slots
    p `<Card>` component has the following slots:
    ul
      ul
      li `default` - element will be inserted as a child of card content element
      li `content` - same as `default`
      li `header` - element will be inserted as a child of card header element
      li `footer` - element will be inserted as a child of card footer element
    ```html
      <Card>
        <span slot="header">Header</span>
        <span slot="content">Content</span>
        <span slot="footer">Footer</span>
      </Card>
    ```
    p Renders to
    ```html
      <div class="card">
        <div class="card-header">
          <span>Header</span>
        </div>
        <div class="card-content">
          <span>Content</span>
        </div>
        <div class="card-footer">
          <span>Footer</span>
        </div>
      </div>
    ```

    h2 Examples

    +examplePreview('react', 'cards.jsx', 'cards')

    +examplePreview('react', 'cards-expandable.jsx', 'cards-expandable')
